# CUpti_ActivityMarker2 Struct Reference
[CUPTI Activity API]

The activity record providing a marker which is an instantaneous point in time. More...

## Data Fields
const char * | domain
CUpti_ActivityFlag | flags
uint32_t | id
CUpti_ActivityKind | kind
const char * | name
CUpti_ActivityObjectKindId | objectId
CUpti_ActivityObjectKind | objectKind
uint32_t | pad
uint64_t | timestamp

## Detailed Description

The marker is specified with a descriptive name and unique id (CUPTI_ACTIVITY_KIND_MARKER).

## Field Documentation

const char* CUpti_ActivityMarker2::domain

The name of the domain to which this marker belongs to. This will be NULL for default domain.

CUpti_ActivityFlag CUpti_ActivityMarker2::flags

The flags associated with the marker.

See also:
  CUpti_ActivityFlag

uint32_t CUpti_ActivityMarker2::id

The marker ID.

CUpti_ActivityKind CUpti_ActivityMarker2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MARKER.

const char* CUpti_ActivityMarker2::name

The marker name for an instantaneous or start marker. This will be NULL for an end marker.

CUpti_ActivityObjectKindId CUpti_ActivityMarker2::objectId

The identifier for the activity object associated with this marker. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityMarker2::objectKind

The kind of activity object associated with this marker.

uint32_t CUpti_ActivityMarker2::pad

Undefined. Reserved for internal use.

uint64_t CUpti_ActivityMarker2::timestamp

The timestamp for the marker, in ns. A value of 0 indicates that timestamp information could not be collected for the marker.